Subject: Re: [hrpc] Fwd: New Version Notification for draft-tenoever-hrpc-association-04.txt

From: Niels ten Oever <[email-masked]>
Date: Wed, 4 Apr 2018 11:16:33 +0200

Hi Andrew and all,

We talked extensively about draft-tenoever-hrpc-association and came to
the conclusion that the problem lies in part '7. Discussion: The
Internet as an association'.

During the session I proposed to simply leave out this part so we can
continue the work on this draft, but while editing it I couldn't get
myself to simply remove that part. Essentially because it for me asks an
important question, and I am wondering whether I have been able to get
is across clearly, so this is my final attempt to see whether there is
anything useful in there.

The question is: Should there be any reasonable expectation for AS'es to
pass packets.

If you all think this is not a discussion worth having or a question
worth asking I am happy to remove it, but I do think it is an important
question, especially in the light of a consolidating architecture and
the 'death of transit' [0]

Happy to discuss!

All the best,

Niels

[0] https://blog.apnic.net/2016/10/28/the-death-of-transit/

On 03/22/2018 12:09 PM, Andrew Sullivan wrote:
> Dear colleagues,
> 
> In reading the -04 of association, I have had what was (at least for
> me) a new insight about one of the things bothering me in this
> document.
> 
> In section 8, there is this:
> 
>    It is undeniable that communities, collaboration and joint action lie
>    at the heart of the Internet.
> 
> To me, this claim is either trivially true or else false.
> 
> What is true about it is that people don't network things together
> unless they want to hook things up to communicate (i.e. "to network
> things together").
> 
> But the claim basically insists that the Internet is built up because
> the internetworking is driven by communities, collaboration, and joint
> action.  I don't think this is true.  It might be that communities,
> collaboration, and joint action are "at the heart of" _networking_.
> But why we build that network out of other networks (of networks of
> networks &c.) is not clear to me, and it's not plain to me that these
> properties are the main reason you'd build an internet.  On the
> contrary, in many ways the Internet is the _opposite_ of
> collaboration: I do not need to collaborate with the other network
> operators to internetwork with them.  I just need to follow common
> protocols.  Note how unlike a centralized network (which depends on
> pre-existing contractual relationships) this is, and how much more
> collaboration and joint action is needed by those more-centralized
> designs.
> 
> Indeed, given the kind of concentration and consolodation we are
> seeing in both transit and application layers on the Internet, one
> might argue that a burgeoning demand for controlled communities,
> managed collaboration, and joint action is what is going to kill the
> free-wheeling Internet in favour of a vastly more centralized and
> centrally-controlled network.  By forgetting the "inter" part of
> Internet, we might get a thing that we call "internet" that isn't the
> Internet at all.
> 
> I think, therefore, that the reason I've been bothered so much by this
> document historically is because it isn't being careful about the
> distinction between an internetwork and a network.  It is certainly
> true that the Internet has today apparently swallowed most other
> networking styles, but the situation is complicated by the fact that
> these networks can happen at many different layers: you can make a
> centralized and centrally-managed application network over a
> distributed transport network (this describes most social media sites
> today, for instance).
> 
> Best regards,
> 
> A
>